> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Project Item Lifecycle



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/lifecycle
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/lifecycle:
    get:
      tags:
        - Project Item Lifecycle
      summary: List Project Item Lifecycle
      operationId: ProjectItemLifecycleController_list_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: state
          required: true
          in: query
          schema:
            type: string
            enum:
              - archived
              - deleted
        - name: search
          required: false
          in: query
          schema:
            type: string
            maxLength: 255
        - name: cursor
          required: false
          in: query
          schema:
            type: string
            maxLength: 2048
        - name: limit
          required: false
          in: query
          schema:
            default: 30
            type: integer
            minimum: 1
            maximum: 100
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LifecycleListResponseDto'
components:
  schemas:
    LifecycleListResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/LifecycleItem'
        hasMore:
          type: boolean
        nextCursor:
          type:
            - string
            - 'null'
      required:
        - items
        - hasMore
        - nextCursor
    LifecycleItem:
      type: object
      properties:
        id:
          type: string
        version:
          type: number
        state:
          type: string
          enum:
            - active
            - archived
            - deleted
        name:
          type: string
        referenceNumber:
          type:
            - string
            - 'null'
        imageUrl:
          type:
            - string
            - 'null'
        categoryName:
          type:
            - string
            - 'null'
        areaNames:
          type: array
          items:
            type: string
        supplierName:
          type:
            - string
            - 'null'
        archivedAt:
          type:
            - string
            - 'null'
        archivedBy:
          anyOf:
            - $ref: '#/components/schemas/LifecycleActor'
            - type: 'null'
        archiveReason:
          type:
            - string
            - 'null'
        deletedAt:
          type:
            - string
            - 'null'
        deletedBy:
          anyOf:
            - $ref: '#/components/schemas/LifecycleActor'
            - type: 'null'
        expiresAt:
          type:
            - string
            - 'null'
      required:
        - id
        - version
        - state
        - name
        - referenceNumber
        - imageUrl
        - categoryName
        - areaNames
        - supplierName
        - archivedAt
        - archivedBy
        - archiveReason
        - deletedAt
        - deletedBy
        - expiresAt
    LifecycleActor:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.